using FluentValidation;
using Hotline.Share.Dtos.Order;

namespace DataSharing.Validators.XieTong
{
    public class SendSuperviseResultInfoValidator : AbstractValidator<PublishSuperviseDto>
    {
        /// <summary>
        /// 督办结果
        /// </summary>
        public SendSuperviseResultInfoValidator()
        {
            RuleFor(d => d.Supervise.SuperviseSerial).NotEmpty();
            RuleFor(d => d.Order.AreaCode).NotEmpty();
            RuleFor(d => d.Supervise.ReUser).NotEmpty();
            RuleFor(d => d.Supervise.ReplyTime).NotEmpty();
            RuleFor(d => d.Supervise.ReplyContent).NotEmpty();
        }
    }
}
